import type { CalendarMode, SelectInfo } from './generateCalendar';
import type { Locale } from '../vc-picker/interface';
import type { GenerateConfig } from '../vc-picker/generate';
export interface CalendarHeaderProps<DateType> {
    prefixCls: string;
    value: DateType;
    validRange?: [DateType, DateType];
    generateConfig: GenerateConfig<DateType>;
    locale: Locale;
    mode: CalendarMode;
    fullscreen: boolean;
    onChange: (date: DateType, source: SelectInfo['source']) => void;
    onModeChange: (mode: CalendarMode) => void;
}
declare const _default: import("vue-demi").DefineComponent<CalendarHeaderProps<any>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<CalendarHeaderProps<any>>, {
    value: any;
}, {}>;
export default _default;
