import type { ExtractPropTypes, PropType } from 'vue-demi';
export declare const avatarProps: () => {
    shape: PropType<"circle" | "square">;
    prefixCls: StringConstructor;
    size: PropType<number | "small" | "default" | "large">;
    active: {
        type: BooleanConstructor;
        default: any;
    };
};
export type SkeletonAvatarProps = Partial<ExtractPropTypes<ReturnType<typeof avatarProps>>>;
declare const SkeletonAvatar: import("vue-demi").DefineComponent<{
    shape: PropType<"circle" | "square">;
    prefixCls: StringConstructor;
    size: PropType<number | "small" | "default" | "large">;
    active: {
        type: BooleanConstructor;
        default: any;
    };
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    shape: PropType<"circle" | "square">;
    prefixCls: StringConstructor;
    size: PropType<number | "small" | "default" | "large">;
    active: {
        type: BooleanConstructor;
        default: any;
    };
}>>, {
    active: boolean;
}, {}>;
export default SkeletonAvatar;
