import type { PropType } from 'vue-demi';
import type { SkeletonElementProps } from './Element';
export interface SkeletonInputProps extends Omit<SkeletonElementProps, 'size' | 'shape'> {
    size?: 'large' | 'small' | 'default';
    block?: boolean;
}
declare const SkeletonInput: import("vue-demi").DefineComponent<{
    size: PropType<"small" | "default" | "large">;
    block: BooleanConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    size: PropType<"small" | "default" | "large">;
    block: BooleanConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
}>>, {
    block: boolean;
    active: boolean;
}, {}>;
export default SkeletonInput;
