import type { InnerSelectorProps } from './interface';
import type { VueNode } from '../../_util/type';
import type { DisplayValueType, RenderNode, CustomTagProps } from '../BaseSelect';
type SelectorProps = InnerSelectorProps & {
    removeIcon?: RenderNode;
    maxTagCount?: number | 'responsive';
    maxTagTextLength?: number;
    maxTagPlaceholder?: VueNode | ((omittedValues: DisplayValueType[]) => VueNode);
    tokenSeparators?: string[];
    tagRender?: (props: CustomTagProps) => VueNode;
    onToggleOpen: any;
    choiceTransitionName?: string;
    onRemove: (value: DisplayValueType) => void;
};
declare const SelectSelector: import("vue-demi").DefineComponent<SelectorProps, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<SelectorProps>, {
    onToggleOpen: any;
}, {}>;
export default SelectSelector;
