"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vueDemi = require("vue-demi");
const useRefs = () => {
  const refs = (0, _vueDemi.ref)(new Map());
  const setRef = key => el => {
    refs.value.set(key, el);
  };
  (0, _vueDemi.onBeforeUpdate)(() => {
    refs.value = new Map();
  });
  return [setRef, refs];
};
var _default = exports.default = useRefs;