"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideAppContext = exports.useProvideAppConfigContext = exports.useInjectAppContext = exports.useInjectAppConfigContext = exports.AppContextKey = exports.AppConfigContextKey = void 0;
var _vueDemi = require("vue-demi");
const AppConfigContextKey = exports.AppConfigContextKey = Symbol('appConfigContext');
const useProvideAppConfigContext = appConfigContext => {
  return (0, _vueDemi.provide)(AppConfigContextKey, appConfigContext);
};
exports.useProvideAppConfigContext = useProvideAppConfigContext;
const useInjectAppConfigContext = () => {
  return (0, _vueDemi.inject)(AppConfigContextKey, {});
};
exports.useInjectAppConfigContext = useInjectAppConfigContext;
const AppContextKey = exports.AppContextKey = Symbol('appContext');
const useProvideAppContext = appContext => {
  return (0, _vueDemi.provide)(AppContextKey, appContext);
};
exports.useProvideAppContext = useProvideAppContext;
const defaultAppContext = (0, _vueDemi.reactive)({
  message: {},
  notification: {},
  modal: {}
});
const useInjectAppContext = () => {
  return (0, _vueDemi.inject)(AppContextKey, defaultAppContext);
};
exports.useInjectAppContext = useInjectAppContext;