import type { Plugin } from 'vue-demi';
import { collapseProps } from './Collapse';
import CollapsePanel, { collapsePanelProps } from './CollapsePanel';
export type { CollapseProps } from './Collapse';
export type { CollapsePanelProps } from './CollapsePanel';
export { CollapsePanel, collapseProps, collapsePanelProps };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        activeKey: {
            type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
            default: import("./commonProps").ActiveKeyType;
        };
        defaultActiveKey: {
            type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
            default: import("./commonProps").ActiveKeyType;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
        destroyInactivePanel: {
            type: BooleanConstructor;
            default: boolean;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandIcon: {
            type: import("vue-demi").PropType<(panelProps: import("./commonProps").PanelProps) => any>;
            default: (panelProps: import("./commonProps").PanelProps) => any;
        };
        openAnimation: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        expandIconPosition: {
            type: import("vue-demi").PropType<"end" | "start">;
            default: "end" | "start";
        };
        collapsible: {
            type: import("vue-demi").PropType<import("./commonProps").CollapsibleType>;
            default: import("./commonProps").CollapsibleType;
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        onChange: {
            type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
            default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        };
        'onUpdate:activeKey': {
            type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
            default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        };
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        activeKey: {
            type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
            default: import("./commonProps").ActiveKeyType;
        };
        defaultActiveKey: {
            type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
            default: import("./commonProps").ActiveKeyType;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
        destroyInactivePanel: {
            type: BooleanConstructor;
            default: boolean;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandIcon: {
            type: import("vue-demi").PropType<(panelProps: import("./commonProps").PanelProps) => any>;
            default: (panelProps: import("./commonProps").PanelProps) => any;
        };
        openAnimation: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        expandIconPosition: {
            type: import("vue-demi").PropType<"end" | "start">;
            default: "end" | "start";
        };
        collapsible: {
            type: import("vue-demi").PropType<import("./commonProps").CollapsibleType>;
            default: import("./commonProps").CollapsibleType;
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        onChange: {
            type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
            default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        };
        'onUpdate:activeKey': {
            type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
            default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        };
    }>>, {
        onChange: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        expandIcon: (panelProps: import("./commonProps").PanelProps) => any;
        activeKey: import("./commonProps").ActiveKeyType;
        'onUpdate:activeKey': (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        ghost: boolean;
        bordered: boolean;
        openAnimation: {
            [key: string]: any;
        };
        defaultActiveKey: import("./commonProps").ActiveKeyType;
        destroyInactivePanel: boolean;
        accordion: boolean;
        collapsible: import("./commonProps").CollapsibleType;
        expandIconPosition: "end" | "start";
    }, true, {}, import("../_util/type").CustomSlotsType<{
        default?: any;
        expandIcon?: Partial<import("vue-demi").ExtractPropTypes<{
            openAnimation: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            prefixCls: StringConstructor;
            header: import("vue-types").VueTypeValidableDef<any>;
            headerClass: StringConstructor;
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            isActive: {
                type: BooleanConstructor;
                default: boolean;
            };
            destroyInactivePanel: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            accordion: {
                type: BooleanConstructor;
                default: boolean;
            };
            forceRender: {
                type: BooleanConstructor;
                default: boolean;
            };
            expandIcon: {
                type: import("vue-demi").PropType<(panelProps: import("./commonProps").PanelProps) => any>;
                default: (panelProps: import("./commonProps").PanelProps) => any;
            };
            extra: import("vue-types").VueTypeValidableDef<any>;
            panelKey: {
                type: import("vue-demi").PropType<string | number>;
                default: string | number;
            };
            collapsible: {
                type: import("vue-demi").PropType<import("./commonProps").CollapsibleType>;
                default: import("./commonProps").CollapsibleType;
            };
            role: StringConstructor;
            onItemClick: {
                type: import("vue-demi").PropType<(panelKey: import("../_util/type").Key) => void>;
                default: (panelKey: import("../_util/type").Key) => void;
            };
        }>>;
    }>, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        activeKey: {
            type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
            default: import("./commonProps").ActiveKeyType;
        };
        defaultActiveKey: {
            type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
            default: import("./commonProps").ActiveKeyType;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
        destroyInactivePanel: {
            type: BooleanConstructor;
            default: boolean;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandIcon: {
            type: import("vue-demi").PropType<(panelProps: import("./commonProps").PanelProps) => any>;
            default: (panelProps: import("./commonProps").PanelProps) => any;
        };
        openAnimation: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        expandIconPosition: {
            type: import("vue-demi").PropType<"end" | "start">;
            default: "end" | "start";
        };
        collapsible: {
            type: import("vue-demi").PropType<import("./commonProps").CollapsibleType>;
            default: import("./commonProps").CollapsibleType;
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        onChange: {
            type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
            default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        };
        'onUpdate:activeKey': {
            type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
            default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        };
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        onChange: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        expandIcon: (panelProps: import("./commonProps").PanelProps) => any;
        activeKey: import("./commonProps").ActiveKeyType;
        'onUpdate:activeKey': (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
        ghost: boolean;
        bordered: boolean;
        openAnimation: {
            [key: string]: any;
        };
        defaultActiveKey: import("./commonProps").ActiveKeyType;
        destroyInactivePanel: boolean;
        accordion: boolean;
        collapsible: import("./commonProps").CollapsibleType;
        expandIconPosition: "end" | "start";
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    activeKey: {
        type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
        default: import("./commonProps").ActiveKeyType;
    };
    defaultActiveKey: {
        type: import("vue-demi").PropType<import("./commonProps").ActiveKeyType>;
        default: import("./commonProps").ActiveKeyType;
    };
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
    destroyInactivePanel: {
        type: BooleanConstructor;
        default: boolean;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    expandIcon: {
        type: import("vue-demi").PropType<(panelProps: import("./commonProps").PanelProps) => any>;
        default: (panelProps: import("./commonProps").PanelProps) => any;
    };
    openAnimation: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    expandIconPosition: {
        type: import("vue-demi").PropType<"end" | "start">;
        default: "end" | "start";
    };
    collapsible: {
        type: import("vue-demi").PropType<import("./commonProps").CollapsibleType>;
        default: import("./commonProps").CollapsibleType;
    };
    ghost: {
        type: BooleanConstructor;
        default: boolean;
    };
    onChange: {
        type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
        default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
    };
    'onUpdate:activeKey': {
        type: import("vue-demi").PropType<(key: import("../_util/type").Key | import("../_util/type").Key[]) => void>;
        default: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
    };
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    onChange: (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
    expandIcon: (panelProps: import("./commonProps").PanelProps) => any;
    activeKey: import("./commonProps").ActiveKeyType;
    'onUpdate:activeKey': (key: import("../_util/type").Key | import("../_util/type").Key[]) => void;
    ghost: boolean;
    bordered: boolean;
    openAnimation: {
        [key: string]: any;
    };
    defaultActiveKey: import("./commonProps").ActiveKeyType;
    destroyInactivePanel: boolean;
    accordion: boolean;
    collapsible: import("./commonProps").CollapsibleType;
    expandIconPosition: "end" | "start";
}, {}, string, import("../_util/type").CustomSlotsType<{
    default?: any;
    expandIcon?: Partial<import("vue-demi").ExtractPropTypes<{
        openAnimation: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        prefixCls: StringConstructor;
        header: import("vue-types").VueTypeValidableDef<any>;
        headerClass: StringConstructor;
        showArrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        isActive: {
            type: BooleanConstructor;
            default: boolean;
        };
        destroyInactivePanel: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
        forceRender: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandIcon: {
            type: import("vue-demi").PropType<(panelProps: import("./commonProps").PanelProps) => any>;
            default: (panelProps: import("./commonProps").PanelProps) => any;
        };
        extra: import("vue-types").VueTypeValidableDef<any>;
        panelKey: {
            type: import("vue-demi").PropType<string | number>;
            default: string | number;
        };
        collapsible: {
            type: import("vue-demi").PropType<import("./commonProps").CollapsibleType>;
            default: import("./commonProps").CollapsibleType;
        };
        role: StringConstructor;
        onItemClick: {
            type: import("vue-demi").PropType<(panelKey: import("../_util/type").Key) => void>;
            default: (panelKey: import("../_util/type").Key) => void;
        };
    }>>;
}>> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly Panel: typeof CollapsePanel;
};
export default _default;
