"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideRow = exports.useInjectRow = exports.default = exports.RowContextKey = void 0;
var _vueDemi = require("vue-demi");
const RowContextKey = exports.RowContextKey = Symbol('rowContextKey');
const useProvideRow = state => {
  (0, _vueDemi.provide)(RowContextKey, state);
};
exports.useProvideRow = useProvideRow;
const useInjectRow = () => {
  return (0, _vueDemi.inject)(RowContextKey, {
    gutter: (0, _vueDemi.computed)(() => undefined),
    wrap: (0, _vueDemi.computed)(() => undefined),
    supportFlexGap: (0, _vueDemi.computed)(() => undefined)
  });
};
exports.useInjectRow = useInjectRow;
var _default = exports.default = useProvideRow;