import type { ExtractPropTypes } from 'vue-demi';
export declare const popoverProps: () => {
    content: {
        default: any;
        type: import("vue-demi").PropType<any>;
    };
    title: {
        default: any;
        type: import("vue-demi").PropType<any>;
    };
    trigger: import("vue-demi").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    visible: {
        type: BooleanConstructor;
        default: any;
    };
    placement: import("vue-demi").PropType<import("../tooltip").TooltipPlacement>;
    color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<import("../_util/colors").PresetColorType>>;
    transitionName: StringConstructor;
    overlayStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    overlayInnerStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    overlayClassName: StringConstructor;
    openClassName: StringConstructor;
    prefixCls: StringConstructor;
    mouseEnterDelay: NumberConstructor;
    mouseLeaveDelay: NumberConstructor;
    getPopupContainer: import("vue-demi").PropType<(triggerNode: HTMLElement) => HTMLElement>;
    arrowPointAtCenter: {
        type: BooleanConstructor;
        default: any;
    };
    autoAdjustOverflow: {
        type: import("vue-demi").PropType<boolean | import("../tooltip").AdjustOverflow>;
        default: boolean | import("../tooltip").AdjustOverflow;
    };
    destroyTooltipOnHide: {
        type: BooleanConstructor;
        default: any;
    };
    align: {
        type: import("vue-demi").PropType<import("../vc-trigger/interface").AlignType>;
        default: import("../vc-trigger/interface").AlignType;
    };
    builtinPlacements: {
        type: import("vue-demi").PropType<import("../vc-trigger/interface").BuildInPlacements>;
        default: import("../vc-trigger/interface").BuildInPlacements;
    };
    children: ArrayConstructor;
    onVisibleChange: import("vue-demi").PropType<(vis: boolean) => void>;
    'onUpdate:visible': import("vue-demi").PropType<(vis: boolean) => void>;
    onOpenChange: import("vue-demi").PropType<(vis: boolean) => void>;
    'onUpdate:open': import("vue-demi").PropType<(vis: boolean) => void>;
};
export type PopoverProps = Partial<ExtractPropTypes<ReturnType<typeof popoverProps>>>;
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<ExtractPropTypes<{
        content: {
            default: any;
            type: import("vue-demi").PropType<any>;
        };
        title: {
            default: any;
            type: import("vue-demi").PropType<any>;
        };
        trigger: import("vue-demi").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        visible: {
            type: BooleanConstructor;
            default: any;
        };
        placement: import("vue-demi").PropType<import("../tooltip").TooltipPlacement>;
        color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<import("../_util/colors").PresetColorType>>;
        transitionName: StringConstructor;
        overlayStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        overlayInnerStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        overlayClassName: StringConstructor;
        openClassName: StringConstructor;
        prefixCls: StringConstructor;
        mouseEnterDelay: NumberConstructor;
        mouseLeaveDelay: NumberConstructor;
        getPopupContainer: import("vue-demi").PropType<(triggerNode: HTMLElement) => HTMLElement>;
        arrowPointAtCenter: {
            type: BooleanConstructor;
            default: any;
        };
        autoAdjustOverflow: {
            type: import("vue-demi").PropType<boolean | import("../tooltip").AdjustOverflow>;
            default: boolean | import("../tooltip").AdjustOverflow;
        };
        destroyTooltipOnHide: {
            type: BooleanConstructor;
            default: any;
        };
        align: {
            type: import("vue-demi").PropType<import("../vc-trigger/interface").AlignType>;
            default: import("../vc-trigger/interface").AlignType;
        };
        builtinPlacements: {
            type: import("vue-demi").PropType<import("../vc-trigger/interface").BuildInPlacements>;
            default: import("../vc-trigger/interface").BuildInPlacements;
        };
        children: ArrayConstructor;
        onVisibleChange: import("vue-demi").PropType<(vis: boolean) => void>;
        'onUpdate:visible': import("vue-demi").PropType<(vis: boolean) => void>;
        onOpenChange: import("vue-demi").PropType<(vis: boolean) => void>;
        'onUpdate:open': import("vue-demi").PropType<(vis: boolean) => void>;
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<ExtractPropTypes<{
        content: {
            default: any;
            type: import("vue-demi").PropType<any>;
        };
        title: {
            default: any;
            type: import("vue-demi").PropType<any>;
        };
        trigger: import("vue-demi").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        visible: {
            type: BooleanConstructor;
            default: any;
        };
        placement: import("vue-demi").PropType<import("../tooltip").TooltipPlacement>;
        color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<import("../_util/colors").PresetColorType>>;
        transitionName: StringConstructor;
        overlayStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        overlayInnerStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        overlayClassName: StringConstructor;
        openClassName: StringConstructor;
        prefixCls: StringConstructor;
        mouseEnterDelay: NumberConstructor;
        mouseLeaveDelay: NumberConstructor;
        getPopupContainer: import("vue-demi").PropType<(triggerNode: HTMLElement) => HTMLElement>;
        arrowPointAtCenter: {
            type: BooleanConstructor;
            default: any;
        };
        autoAdjustOverflow: {
            type: import("vue-demi").PropType<boolean | import("../tooltip").AdjustOverflow>;
            default: boolean | import("../tooltip").AdjustOverflow;
        };
        destroyTooltipOnHide: {
            type: BooleanConstructor;
            default: any;
        };
        align: {
            type: import("vue-demi").PropType<import("../vc-trigger/interface").AlignType>;
            default: import("../vc-trigger/interface").AlignType;
        };
        builtinPlacements: {
            type: import("vue-demi").PropType<import("../vc-trigger/interface").BuildInPlacements>;
            default: import("../vc-trigger/interface").BuildInPlacements;
        };
        children: ArrayConstructor;
        onVisibleChange: import("vue-demi").PropType<(vis: boolean) => void>;
        'onUpdate:visible': import("vue-demi").PropType<(vis: boolean) => void>;
        onOpenChange: import("vue-demi").PropType<(vis: boolean) => void>;
        'onUpdate:open': import("vue-demi").PropType<(vis: boolean) => void>;
    }>>, {
        title: any;
        align: import("../vc-trigger/interface").AlignType;
        open: boolean;
        content: any;
        visible: boolean;
        builtinPlacements: import("../vc-trigger/interface").BuildInPlacements;
        overlayInnerStyle: import("vue-demi").CSSProperties;
        overlayStyle: import("vue-demi").CSSProperties;
        destroyTooltipOnHide: boolean;
        autoAdjustOverflow: boolean | import("../tooltip").AdjustOverflow;
        arrowPointAtCenter: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<ExtractPropTypes<{
        content: {
            default: any;
            type: import("vue-demi").PropType<any>;
        };
        title: {
            default: any;
            type: import("vue-demi").PropType<any>;
        };
        trigger: import("vue-demi").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        visible: {
            type: BooleanConstructor;
            default: any;
        };
        placement: import("vue-demi").PropType<import("../tooltip").TooltipPlacement>;
        color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<import("../_util/colors").PresetColorType>>;
        transitionName: StringConstructor;
        overlayStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        overlayInnerStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        overlayClassName: StringConstructor;
        openClassName: StringConstructor;
        prefixCls: StringConstructor;
        mouseEnterDelay: NumberConstructor;
        mouseLeaveDelay: NumberConstructor;
        getPopupContainer: import("vue-demi").PropType<(triggerNode: HTMLElement) => HTMLElement>;
        arrowPointAtCenter: {
            type: BooleanConstructor;
            default: any;
        };
        autoAdjustOverflow: {
            type: import("vue-demi").PropType<boolean | import("../tooltip").AdjustOverflow>;
            default: boolean | import("../tooltip").AdjustOverflow;
        };
        destroyTooltipOnHide: {
            type: BooleanConstructor;
            default: any;
        };
        align: {
            type: import("vue-demi").PropType<import("../vc-trigger/interface").AlignType>;
            default: import("../vc-trigger/interface").AlignType;
        };
        builtinPlacements: {
            type: import("vue-demi").PropType<import("../vc-trigger/interface").BuildInPlacements>;
            default: import("../vc-trigger/interface").BuildInPlacements;
        };
        children: ArrayConstructor;
        onVisibleChange: import("vue-demi").PropType<(vis: boolean) => void>;
        'onUpdate:visible': import("vue-demi").PropType<(vis: boolean) => void>;
        onOpenChange: import("vue-demi").PropType<(vis: boolean) => void>;
        'onUpdate:open': import("vue-demi").PropType<(vis: boolean) => void>;
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        title: any;
        align: import("../vc-trigger/interface").AlignType;
        open: boolean;
        content: any;
        visible: boolean;
        builtinPlacements: import("../vc-trigger/interface").BuildInPlacements;
        overlayInnerStyle: import("vue-demi").CSSProperties;
        overlayStyle: import("vue-demi").CSSProperties;
        destroyTooltipOnHide: boolean;
        autoAdjustOverflow: boolean | import("../tooltip").AdjustOverflow;
        arrowPointAtCenter: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    content: {
        default: any;
        type: import("vue-demi").PropType<any>;
    };
    title: {
        default: any;
        type: import("vue-demi").PropType<any>;
    };
    trigger: import("vue-demi").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    visible: {
        type: BooleanConstructor;
        default: any;
    };
    placement: import("vue-demi").PropType<import("../tooltip").TooltipPlacement>;
    color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<import("../_util/colors").PresetColorType>>;
    transitionName: StringConstructor;
    overlayStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    overlayInnerStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    overlayClassName: StringConstructor;
    openClassName: StringConstructor;
    prefixCls: StringConstructor;
    mouseEnterDelay: NumberConstructor;
    mouseLeaveDelay: NumberConstructor;
    getPopupContainer: import("vue-demi").PropType<(triggerNode: HTMLElement) => HTMLElement>;
    arrowPointAtCenter: {
        type: BooleanConstructor;
        default: any;
    };
    autoAdjustOverflow: {
        type: import("vue-demi").PropType<boolean | import("../tooltip").AdjustOverflow>;
        default: boolean | import("../tooltip").AdjustOverflow;
    };
    destroyTooltipOnHide: {
        type: BooleanConstructor;
        default: any;
    };
    align: {
        type: import("vue-demi").PropType<import("../vc-trigger/interface").AlignType>;
        default: import("../vc-trigger/interface").AlignType;
    };
    builtinPlacements: {
        type: import("vue-demi").PropType<import("../vc-trigger/interface").BuildInPlacements>;
        default: import("../vc-trigger/interface").BuildInPlacements;
    };
    children: ArrayConstructor;
    onVisibleChange: import("vue-demi").PropType<(vis: boolean) => void>;
    'onUpdate:visible': import("vue-demi").PropType<(vis: boolean) => void>;
    onOpenChange: import("vue-demi").PropType<(vis: boolean) => void>;
    'onUpdate:open': import("vue-demi").PropType<(vis: boolean) => void>;
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    title: any;
    align: import("../vc-trigger/interface").AlignType;
    open: boolean;
    content: any;
    visible: boolean;
    builtinPlacements: import("../vc-trigger/interface").BuildInPlacements;
    overlayInnerStyle: import("vue-demi").CSSProperties;
    overlayStyle: import("vue-demi").CSSProperties;
    destroyTooltipOnHide: boolean;
    autoAdjustOverflow: boolean | import("../tooltip").AdjustOverflow;
    arrowPointAtCenter: boolean;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & import("vue-demi").Plugin<any[]>;
export default _default;
