import type { ExtractPropTypes, PropType } from 'vue-demi';
import type { countdownValueType } from './utils';
export declare const countdownProps: () => {
    value: {
        type: PropType<countdownValueType>;
        default: countdownValueType;
    };
    format: StringConstructor;
    onFinish: PropType<() => void>;
    onChange: PropType<(value?: countdownValueType) => void>;
    prefixCls: StringConstructor;
    decimalSeparator: StringConstructor;
    groupSeparator: StringConstructor;
    valueStyle: {
        type: PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    valueRender: {
        type: PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    };
    formatter: {
        default: import("./utils").Formatter;
        type: PropType<import("./utils").Formatter>;
    };
    precision: NumberConstructor;
    prefix: {
        type: PropType<import("../_util/type").VueNode>;
    };
    suffix: {
        type: PropType<import("../_util/type").VueNode>;
    };
    title: {
        type: PropType<import("../_util/type").VueNode>;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export type CountdownProps = Partial<ExtractPropTypes<ReturnType<typeof countdownProps>>>;
declare const _default: import("vue-demi").DefineComponent<{
    value: {
        type: PropType<countdownValueType>;
        default: countdownValueType;
    };
    format: StringConstructor;
    onFinish: PropType<() => void>;
    onChange: PropType<(value?: countdownValueType) => void>;
    prefixCls: StringConstructor;
    decimalSeparator: StringConstructor;
    groupSeparator: StringConstructor;
    valueStyle: {
        type: PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    valueRender: {
        type: PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    };
    formatter: {
        default: import("./utils").Formatter;
        type: PropType<import("./utils").Formatter>;
    };
    precision: NumberConstructor;
    prefix: {
        type: PropType<import("../_util/type").VueNode>;
    };
    suffix: {
        type: PropType<import("../_util/type").VueNode>;
    };
    title: {
        type: PropType<import("../_util/type").VueNode>;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    value: {
        type: PropType<countdownValueType>;
        default: countdownValueType;
    };
    format: StringConstructor;
    onFinish: PropType<() => void>;
    onChange: PropType<(value?: countdownValueType) => void>;
    prefixCls: StringConstructor;
    decimalSeparator: StringConstructor;
    groupSeparator: StringConstructor;
    valueStyle: {
        type: PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    valueRender: {
        type: PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    };
    formatter: {
        default: import("./utils").Formatter;
        type: PropType<import("./utils").Formatter>;
    };
    precision: NumberConstructor;
    prefix: {
        type: PropType<import("../_util/type").VueNode>;
    };
    suffix: {
        type: PropType<import("../_util/type").VueNode>;
    };
    title: {
        type: PropType<import("../_util/type").VueNode>;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    value: countdownValueType;
    loading: boolean;
    formatter: import("./utils").Formatter;
    valueStyle: import("vue-demi").CSSProperties;
    valueRender: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
}, {}>;
export default _default;
