import type { Tab } from './interface';
import type { PropType, Ref } from 'vue-demi';
export interface TabContextProps {
    tabs: Ref<Tab[]>;
    prefixCls: Ref<string>;
}
export declare const useProvideTabs: (props: TabContextProps) => void;
export declare const useInjectTabs: () => {
    tabs: Ref<any[]>;
    prefixCls: Ref<any>;
};
declare const TabsContextProvider: import("vue-demi").DefineComponent<{
    tabs: {
        type: PropType<Ref<Tab[]>>;
        default: any;
    };
    prefixCls: {
        type: StringConstructor;
        default: any;
    };
}, () => import("vue-demi").VNode<import("vue-demi").RendererNode, import("vue-demi").RendererElement, {
    [key: string]: any;
}>[], unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    tabs: {
        type: PropType<Ref<Tab[]>>;
        default: any;
    };
    prefixCls: {
        type: StringConstructor;
        default: any;
    };
}>>, {
    prefixCls: string;
    tabs: Ref<Tab[]>;
}, {}>;
export default TabsContextProvider;
