import type { TourProps, TourStepProps } from './interface';
import type { VueNode } from '../_util/type';
export { TourProps, TourStepProps };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        steps: {
            type: import("vue-demi").PropType<Partial<import("vue-demi").ExtractPropTypes<{
                cover: {
                    type: import("vue-demi").PropType<VueNode>;
                };
                nextButtonProps: {
                    type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
                };
                prevButtonProps: {
                    type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
                };
                current: {
                    type: NumberConstructor;
                };
                type: {
                    type: import("vue-demi").PropType<"default" | "primary">;
                };
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>[]>;
        };
        prefixCls: {
            type: StringConstructor;
        };
        current: {
            type: NumberConstructor;
        };
        type: {
            type: import("vue-demi").PropType<"default" | "primary">;
        };
        'onUpdate:current': import("vue-demi").PropType<(val: number) => void>;
        builtinPlacements: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        popupAlign: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        } & {
            default: () => {
                [key: string]: any;
            };
        };
        open: {
            type: BooleanConstructor;
            default: boolean;
        };
        defaultCurrent: {
            type: NumberConstructor;
        };
        onChange: {
            type: import("vue-demi").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        onClose: {
            type: import("vue-demi").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        onFinish: {
            type: import("vue-demi").PropType<() => void>;
            default: () => void;
        };
        mask: {
            type: import("vue-demi").PropType<boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            }>;
            default: boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            };
        };
        arrow: {
            type: import("vue-demi").PropType<boolean | {
                pointAtCenter: boolean;
            }>;
            default: boolean | {
                pointAtCenter: boolean;
            };
        };
        rootClassName: {
            type: StringConstructor;
        };
        placement: {
            type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
            default: import("../vc-tour/placements").PlacementType;
        };
        renderPanel: {
            type: import("vue-demi").PropType<(props: Partial<import("vue-demi").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                current: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>, current: number) => VueNode>;
            default: (props: Partial<import("vue-demi").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                current: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>, current: number) => VueNode;
        };
        gap: {
            type: import("vue-demi").PropType<import("../vc-tour/hooks/useTarget").Gap>;
            default: import("../vc-tour/hooks/useTarget").Gap;
        };
        animated: {
            type: import("vue-demi").PropType<boolean | {
                placeholder: boolean;
            }>;
            default: boolean | {
                placeholder: boolean;
            };
        };
        scrollIntoViewOptions: {
            type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
            default: boolean | ScrollIntoViewOptions;
        };
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
    }>>, () => VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        steps: {
            type: import("vue-demi").PropType<Partial<import("vue-demi").ExtractPropTypes<{
                cover: {
                    type: import("vue-demi").PropType<VueNode>;
                };
                nextButtonProps: {
                    type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
                };
                prevButtonProps: {
                    type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
                };
                current: {
                    type: NumberConstructor;
                };
                type: {
                    type: import("vue-demi").PropType<"default" | "primary">;
                };
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>[]>;
        };
        prefixCls: {
            type: StringConstructor;
        };
        current: {
            type: NumberConstructor;
        };
        type: {
            type: import("vue-demi").PropType<"default" | "primary">;
        };
        'onUpdate:current': import("vue-demi").PropType<(val: number) => void>;
        builtinPlacements: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        popupAlign: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        } & {
            default: () => {
                [key: string]: any;
            };
        };
        open: {
            type: BooleanConstructor;
            default: boolean;
        };
        defaultCurrent: {
            type: NumberConstructor;
        };
        onChange: {
            type: import("vue-demi").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        onClose: {
            type: import("vue-demi").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        onFinish: {
            type: import("vue-demi").PropType<() => void>;
            default: () => void;
        };
        mask: {
            type: import("vue-demi").PropType<boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            }>;
            default: boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            };
        };
        arrow: {
            type: import("vue-demi").PropType<boolean | {
                pointAtCenter: boolean;
            }>;
            default: boolean | {
                pointAtCenter: boolean;
            };
        };
        rootClassName: {
            type: StringConstructor;
        };
        placement: {
            type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
            default: import("../vc-tour/placements").PlacementType;
        };
        renderPanel: {
            type: import("vue-demi").PropType<(props: Partial<import("vue-demi").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                current: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>, current: number) => VueNode>;
            default: (props: Partial<import("vue-demi").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                current: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>, current: number) => VueNode;
        };
        gap: {
            type: import("vue-demi").PropType<import("../vc-tour/hooks/useTarget").Gap>;
            default: import("../vc-tour/hooks/useTarget").Gap;
        };
        animated: {
            type: import("vue-demi").PropType<boolean | {
                placeholder: boolean;
            }>;
            default: boolean | {
                placeholder: boolean;
            };
        };
        scrollIntoViewOptions: {
            type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
            default: boolean | ScrollIntoViewOptions;
        };
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
    }>>, {
        mask: boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        };
        onChange: (current: number) => void;
        open: boolean;
        zIndex: number;
        gap: import("../vc-tour/hooks/useTarget").Gap;
        onClose: (current: number) => void;
        builtinPlacements: {
            [key: string]: any;
        };
        popupAlign: {
            [key: string]: any;
        };
        placement: import("../vc-tour/placements").PlacementType;
        arrow: boolean | {
            pointAtCenter: boolean;
        };
        scrollIntoViewOptions: boolean | ScrollIntoViewOptions;
        onFinish: () => void;
        renderPanel: (props: Partial<import("vue-demi").ExtractPropTypes<{
            prefixCls: {
                type: StringConstructor;
            };
            total: {
                type: NumberConstructor;
            };
            current: {
                type: NumberConstructor;
            };
            onClose: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onFinish: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            renderPanel: {
                type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                default: (step: any, current: number) => VueNode;
            };
            onPrev: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onNext: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            arrow: {
                type: import("vue-demi").PropType<boolean | {
                    pointAtCenter: boolean;
                }>;
                default: boolean | {
                    pointAtCenter: boolean;
                };
            };
            target: {
                type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                default: HTMLElement | (() => HTMLElement) | (() => null);
            };
            title: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            description: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            placement: {
                type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                default: import("../vc-tour/placements").PlacementType;
            };
            mask: {
                type: import("vue-demi").PropType<boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                }>;
                default: boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                };
            };
            className: {
                type: StringConstructor;
            };
            style: {
                type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                default: import("vue-demi").CSSProperties;
            };
            scrollIntoViewOptions: {
                type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                default: boolean | ScrollIntoViewOptions;
            };
        }>>, current: number) => VueNode;
        animated: boolean | {
            placeholder: boolean;
        };
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        steps: {
            type: import("vue-demi").PropType<Partial<import("vue-demi").ExtractPropTypes<{
                cover: {
                    type: import("vue-demi").PropType<VueNode>;
                };
                nextButtonProps: {
                    type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
                };
                prevButtonProps: {
                    type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
                };
                current: {
                    type: NumberConstructor;
                };
                type: {
                    type: import("vue-demi").PropType<"default" | "primary">;
                };
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>[]>;
        };
        prefixCls: {
            type: StringConstructor;
        };
        current: {
            type: NumberConstructor;
        };
        type: {
            type: import("vue-demi").PropType<"default" | "primary">;
        };
        'onUpdate:current': import("vue-demi").PropType<(val: number) => void>;
        builtinPlacements: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        popupAlign: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        } & {
            default: () => {
                [key: string]: any;
            };
        };
        open: {
            type: BooleanConstructor;
            default: boolean;
        };
        defaultCurrent: {
            type: NumberConstructor;
        };
        onChange: {
            type: import("vue-demi").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        onClose: {
            type: import("vue-demi").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        onFinish: {
            type: import("vue-demi").PropType<() => void>;
            default: () => void;
        };
        mask: {
            type: import("vue-demi").PropType<boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            }>;
            default: boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            };
        };
        arrow: {
            type: import("vue-demi").PropType<boolean | {
                pointAtCenter: boolean;
            }>;
            default: boolean | {
                pointAtCenter: boolean;
            };
        };
        rootClassName: {
            type: StringConstructor;
        };
        placement: {
            type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
            default: import("../vc-tour/placements").PlacementType;
        };
        renderPanel: {
            type: import("vue-demi").PropType<(props: Partial<import("vue-demi").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                current: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>, current: number) => VueNode>;
            default: (props: Partial<import("vue-demi").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                };
                total: {
                    type: NumberConstructor;
                };
                current: {
                    type: NumberConstructor;
                };
                onClose: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onFinish: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                renderPanel: {
                    type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                    default: (step: any, current: number) => VueNode;
                };
                onPrev: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                onNext: {
                    type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                    default: (e: MouseEvent) => void;
                };
                arrow: {
                    type: import("vue-demi").PropType<boolean | {
                        pointAtCenter: boolean;
                    }>;
                    default: boolean | {
                        pointAtCenter: boolean;
                    };
                };
                target: {
                    type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                    default: HTMLElement | (() => HTMLElement) | (() => null);
                };
                title: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                description: {
                    type: import("vue-demi").PropType<VueNode>;
                    default: VueNode;
                };
                placement: {
                    type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                    default: import("../vc-tour/placements").PlacementType;
                };
                mask: {
                    type: import("vue-demi").PropType<boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    }>;
                    default: boolean | {
                        style?: import("vue-demi").CSSProperties;
                        color?: string;
                    };
                };
                className: {
                    type: StringConstructor;
                };
                style: {
                    type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                    default: import("vue-demi").CSSProperties;
                };
                scrollIntoViewOptions: {
                    type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                    default: boolean | ScrollIntoViewOptions;
                };
            }>>, current: number) => VueNode;
        };
        gap: {
            type: import("vue-demi").PropType<import("../vc-tour/hooks/useTarget").Gap>;
            default: import("../vc-tour/hooks/useTarget").Gap;
        };
        animated: {
            type: import("vue-demi").PropType<boolean | {
                placeholder: boolean;
            }>;
            default: boolean | {
                placeholder: boolean;
            };
        };
        scrollIntoViewOptions: {
            type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
            default: boolean | ScrollIntoViewOptions;
        };
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
    }>>, () => VueNode, {}, {}, {}, {
        mask: boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        };
        onChange: (current: number) => void;
        open: boolean;
        zIndex: number;
        gap: import("../vc-tour/hooks/useTarget").Gap;
        onClose: (current: number) => void;
        builtinPlacements: {
            [key: string]: any;
        };
        popupAlign: {
            [key: string]: any;
        };
        placement: import("../vc-tour/placements").PlacementType;
        arrow: boolean | {
            pointAtCenter: boolean;
        };
        scrollIntoViewOptions: boolean | ScrollIntoViewOptions;
        onFinish: () => void;
        renderPanel: (props: Partial<import("vue-demi").ExtractPropTypes<{
            prefixCls: {
                type: StringConstructor;
            };
            total: {
                type: NumberConstructor;
            };
            current: {
                type: NumberConstructor;
            };
            onClose: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onFinish: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            renderPanel: {
                type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                default: (step: any, current: number) => VueNode;
            };
            onPrev: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onNext: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            arrow: {
                type: import("vue-demi").PropType<boolean | {
                    pointAtCenter: boolean;
                }>;
                default: boolean | {
                    pointAtCenter: boolean;
                };
            };
            target: {
                type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                default: HTMLElement | (() => HTMLElement) | (() => null);
            };
            title: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            description: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            placement: {
                type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                default: import("../vc-tour/placements").PlacementType;
            };
            mask: {
                type: import("vue-demi").PropType<boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                }>;
                default: boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                };
            };
            className: {
                type: StringConstructor;
            };
            style: {
                type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                default: import("vue-demi").CSSProperties;
            };
            scrollIntoViewOptions: {
                type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                default: boolean | ScrollIntoViewOptions;
            };
        }>>, current: number) => VueNode;
        animated: boolean | {
            placeholder: boolean;
        };
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    steps: {
        type: import("vue-demi").PropType<Partial<import("vue-demi").ExtractPropTypes<{
            cover: {
                type: import("vue-demi").PropType<VueNode>;
            };
            nextButtonProps: {
                type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
            };
            prevButtonProps: {
                type: import("vue-demi").PropType<import("./interface").TourBtnProps>;
            };
            current: {
                type: NumberConstructor;
            };
            type: {
                type: import("vue-demi").PropType<"default" | "primary">;
            };
            prefixCls: {
                type: StringConstructor;
            };
            total: {
                type: NumberConstructor;
            };
            onClose: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onFinish: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            renderPanel: {
                type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                default: (step: any, current: number) => VueNode;
            };
            onPrev: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onNext: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            arrow: {
                type: import("vue-demi").PropType<boolean | {
                    pointAtCenter: boolean;
                }>;
                default: boolean | {
                    pointAtCenter: boolean;
                };
            };
            target: {
                type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                default: HTMLElement | (() => HTMLElement) | (() => null);
            };
            title: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            description: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            placement: {
                type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                default: import("../vc-tour/placements").PlacementType;
            };
            mask: {
                type: import("vue-demi").PropType<boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                }>;
                default: boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                };
            };
            className: {
                type: StringConstructor;
            };
            style: {
                type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                default: import("vue-demi").CSSProperties;
            };
            scrollIntoViewOptions: {
                type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                default: boolean | ScrollIntoViewOptions;
            };
        }>>[]>;
    };
    prefixCls: {
        type: StringConstructor;
    };
    current: {
        type: NumberConstructor;
    };
    type: {
        type: import("vue-demi").PropType<"default" | "primary">;
    };
    'onUpdate:current': import("vue-demi").PropType<(val: number) => void>;
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    popupAlign: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    open: {
        type: BooleanConstructor;
        default: boolean;
    };
    defaultCurrent: {
        type: NumberConstructor;
    };
    onChange: {
        type: import("vue-demi").PropType<(current: number) => void>;
        default: (current: number) => void;
    };
    onClose: {
        type: import("vue-demi").PropType<(current: number) => void>;
        default: (current: number) => void;
    };
    onFinish: {
        type: import("vue-demi").PropType<() => void>;
        default: () => void;
    };
    mask: {
        type: import("vue-demi").PropType<boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        }>;
        default: boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        };
    };
    arrow: {
        type: import("vue-demi").PropType<boolean | {
            pointAtCenter: boolean;
        }>;
        default: boolean | {
            pointAtCenter: boolean;
        };
    };
    rootClassName: {
        type: StringConstructor;
    };
    placement: {
        type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
        default: import("../vc-tour/placements").PlacementType;
    };
    renderPanel: {
        type: import("vue-demi").PropType<(props: Partial<import("vue-demi").ExtractPropTypes<{
            prefixCls: {
                type: StringConstructor;
            };
            total: {
                type: NumberConstructor;
            };
            current: {
                type: NumberConstructor;
            };
            onClose: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onFinish: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            renderPanel: {
                type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                default: (step: any, current: number) => VueNode;
            };
            onPrev: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onNext: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            arrow: {
                type: import("vue-demi").PropType<boolean | {
                    pointAtCenter: boolean;
                }>;
                default: boolean | {
                    pointAtCenter: boolean;
                };
            };
            target: {
                type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                default: HTMLElement | (() => HTMLElement) | (() => null);
            };
            title: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            description: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            placement: {
                type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                default: import("../vc-tour/placements").PlacementType;
            };
            mask: {
                type: import("vue-demi").PropType<boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                }>;
                default: boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                };
            };
            className: {
                type: StringConstructor;
            };
            style: {
                type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                default: import("vue-demi").CSSProperties;
            };
            scrollIntoViewOptions: {
                type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                default: boolean | ScrollIntoViewOptions;
            };
        }>>, current: number) => VueNode>;
        default: (props: Partial<import("vue-demi").ExtractPropTypes<{
            prefixCls: {
                type: StringConstructor;
            };
            total: {
                type: NumberConstructor;
            };
            current: {
                type: NumberConstructor;
            };
            onClose: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onFinish: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            renderPanel: {
                type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
                default: (step: any, current: number) => VueNode;
            };
            onPrev: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            onNext: {
                type: import("vue-demi").PropType<(e: MouseEvent) => void>;
                default: (e: MouseEvent) => void;
            };
            arrow: {
                type: import("vue-demi").PropType<boolean | {
                    pointAtCenter: boolean;
                }>;
                default: boolean | {
                    pointAtCenter: boolean;
                };
            };
            target: {
                type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
                default: HTMLElement | (() => HTMLElement) | (() => null);
            };
            title: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            description: {
                type: import("vue-demi").PropType<VueNode>;
                default: VueNode;
            };
            placement: {
                type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
                default: import("../vc-tour/placements").PlacementType;
            };
            mask: {
                type: import("vue-demi").PropType<boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                }>;
                default: boolean | {
                    style?: import("vue-demi").CSSProperties;
                    color?: string;
                };
            };
            className: {
                type: StringConstructor;
            };
            style: {
                type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
                default: import("vue-demi").CSSProperties;
            };
            scrollIntoViewOptions: {
                type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
                default: boolean | ScrollIntoViewOptions;
            };
        }>>, current: number) => VueNode;
    };
    gap: {
        type: import("vue-demi").PropType<import("../vc-tour/hooks/useTarget").Gap>;
        default: import("../vc-tour/hooks/useTarget").Gap;
    };
    animated: {
        type: import("vue-demi").PropType<boolean | {
            placeholder: boolean;
        }>;
        default: boolean | {
            placeholder: boolean;
        };
    };
    scrollIntoViewOptions: {
        type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
        default: boolean | ScrollIntoViewOptions;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
}>>, () => VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    mask: boolean | {
        style?: import("vue-demi").CSSProperties;
        color?: string;
    };
    onChange: (current: number) => void;
    open: boolean;
    zIndex: number;
    gap: import("../vc-tour/hooks/useTarget").Gap;
    onClose: (current: number) => void;
    builtinPlacements: {
        [key: string]: any;
    };
    popupAlign: {
        [key: string]: any;
    };
    placement: import("../vc-tour/placements").PlacementType;
    arrow: boolean | {
        pointAtCenter: boolean;
    };
    scrollIntoViewOptions: boolean | ScrollIntoViewOptions;
    onFinish: () => void;
    renderPanel: (props: Partial<import("vue-demi").ExtractPropTypes<{
        prefixCls: {
            type: StringConstructor;
        };
        total: {
            type: NumberConstructor;
        };
        current: {
            type: NumberConstructor;
        };
        onClose: {
            type: import("vue-demi").PropType<(e: MouseEvent) => void>;
            default: (e: MouseEvent) => void;
        };
        onFinish: {
            type: import("vue-demi").PropType<(e: MouseEvent) => void>;
            default: (e: MouseEvent) => void;
        };
        renderPanel: {
            type: import("vue-demi").PropType<(step: any, current: number) => VueNode>;
            default: (step: any, current: number) => VueNode;
        };
        onPrev: {
            type: import("vue-demi").PropType<(e: MouseEvent) => void>;
            default: (e: MouseEvent) => void;
        };
        onNext: {
            type: import("vue-demi").PropType<(e: MouseEvent) => void>;
            default: (e: MouseEvent) => void;
        };
        arrow: {
            type: import("vue-demi").PropType<boolean | {
                pointAtCenter: boolean;
            }>;
            default: boolean | {
                pointAtCenter: boolean;
            };
        };
        target: {
            type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
            default: HTMLElement | (() => HTMLElement) | (() => null);
        };
        title: {
            type: import("vue-demi").PropType<VueNode>;
            default: VueNode;
        };
        description: {
            type: import("vue-demi").PropType<VueNode>;
            default: VueNode;
        };
        placement: {
            type: import("vue-demi").PropType<import("../vc-tour/placements").PlacementType>;
            default: import("../vc-tour/placements").PlacementType;
        };
        mask: {
            type: import("vue-demi").PropType<boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            }>;
            default: boolean | {
                style?: import("vue-demi").CSSProperties;
                color?: string;
            };
        };
        className: {
            type: StringConstructor;
        };
        style: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        scrollIntoViewOptions: {
            type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
            default: boolean | ScrollIntoViewOptions;
        };
    }>>, current: number) => VueNode;
    animated: boolean | {
        placeholder: boolean;
    };
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & import("vue-demi").Plugin<any[]>;
export default _default;
