import type { ComputedRef, PropType } from 'vue-demi';
import type { Key } from '../_util/type';
export interface OverflowContextProviderValueType {
    prefixCls: string;
    responsive: boolean;
    order: number;
    registerSize: (key: Key, width: number | null) => void;
    display: boolean;
    invalidate: boolean;
    item?: any;
    itemKey?: Key;
    className?: string;
}
export declare const OverflowContextProvider: import("vue-demi").DefineComponent<{
    value: {
        type: PropType<OverflowContextProviderValueType>;
    };
}, () => import("vue-demi").VNode<import("vue-demi").RendererNode, import("vue-demi").RendererElement, {
    [key: string]: any;
}>[], unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    value: {
        type: PropType<OverflowContextProviderValueType>;
    };
}>>, {}, {}>;
export declare const useInjectOverflowContext: () => ComputedRef<OverflowContextProviderValueType | null>;
