"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useBaseProps;
exports.useProvideBaseSelectProps = useProvideBaseSelectProps;
var _vueDemi = require("vue-demi");
/**
 * BaseSelect provide some parsed data into context.
 * You can use this hooks to get them.
 */

const BaseSelectContextKey = Symbol('BaseSelectContextKey');
function useProvideBaseSelectProps(props) {
  return (0, _vueDemi.provide)(BaseSelectContextKey, props);
}
function useBaseProps() {
  return (0, _vueDemi.inject)(BaseSelectContextKey, {});
}