import type { ExtractPropTypes } from 'vue-demi';
import type { VueNode } from '../_util/type';
import type { StepIconRender, Status } from './interface';
export declare const VcStepProps: () => {
    prefixCls: StringConstructor;
    itemWidth: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    status: {
        type: import("vue-demi").PropType<Status>;
        default: Status;
    };
    iconPrefix: StringConstructor;
    icon: import("vue-types").VueTypeValidableDef<any>;
    adjustMarginRight: StringConstructor;
    stepNumber: NumberConstructor;
    stepIndex: NumberConstructor;
    description: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    subTitle: import("vue-types").VueTypeValidableDef<any>;
    progressDot: import("vue-types").VueTypeDef<any>;
    tailContent: import("vue-types").VueTypeValidableDef<any>;
    icons: import("vue-types").VueTypeLooseShape<{
        finish: any;
        error: any;
    }>;
    onClick: {
        type: import("vue-demi").PropType<() => {}>;
        default: () => {};
    };
    onStepClick: {
        type: import("vue-demi").PropType<(next: number) => void>;
        default: (next: number) => void;
    };
    stepIcon: {
        type: import("vue-demi").PropType<StepIconRender>;
        default: StepIconRender;
    };
    itemRender: {
        type: import("vue-demi").PropType<(stepItem: VueNode) => VueNode>;
        default: (stepItem: VueNode) => VueNode;
    };
    __legacy: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export type VCStepProps = Partial<ExtractPropTypes<ReturnType<typeof VcStepProps>>>;
declare const _default: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    itemWidth: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    status: {
        type: import("vue-demi").PropType<Status>;
        default: Status;
    };
    iconPrefix: StringConstructor;
    icon: import("vue-types").VueTypeValidableDef<any>;
    adjustMarginRight: StringConstructor;
    stepNumber: NumberConstructor;
    stepIndex: NumberConstructor;
    description: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    subTitle: import("vue-types").VueTypeValidableDef<any>;
    progressDot: import("vue-types").VueTypeDef<any>;
    tailContent: import("vue-types").VueTypeValidableDef<any>;
    icons: import("vue-types").VueTypeLooseShape<{
        finish: any;
        error: any;
    }>;
    onClick: {
        type: import("vue-demi").PropType<() => {}>;
        default: () => {};
    };
    onStepClick: {
        type: import("vue-demi").PropType<(next: number) => void>;
        default: (next: number) => void;
    };
    stepIcon: {
        type: import("vue-demi").PropType<StepIconRender>;
        default: StepIconRender;
    };
    itemRender: {
        type: import("vue-demi").PropType<(stepItem: VueNode) => VueNode>;
        default: (stepItem: VueNode) => VueNode;
    };
    __legacy: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    itemWidth: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    status: {
        type: import("vue-demi").PropType<Status>;
        default: Status;
    };
    iconPrefix: StringConstructor;
    icon: import("vue-types").VueTypeValidableDef<any>;
    adjustMarginRight: StringConstructor;
    stepNumber: NumberConstructor;
    stepIndex: NumberConstructor;
    description: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    subTitle: import("vue-types").VueTypeValidableDef<any>;
    progressDot: import("vue-types").VueTypeDef<any>;
    tailContent: import("vue-types").VueTypeValidableDef<any>;
    icons: import("vue-types").VueTypeLooseShape<{
        finish: any;
        error: any;
    }>;
    onClick: {
        type: import("vue-demi").PropType<() => {}>;
        default: () => {};
    };
    onStepClick: {
        type: import("vue-demi").PropType<(next: number) => void>;
        default: (next: number) => void;
    };
    stepIcon: {
        type: import("vue-demi").PropType<StepIconRender>;
        default: StepIconRender;
    };
    itemRender: {
        type: import("vue-demi").PropType<(stepItem: VueNode) => VueNode>;
        default: (stepItem: VueNode) => VueNode;
    };
    __legacy: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    onClick: () => {};
    active: boolean;
    disabled: boolean;
    status: Status;
    itemRender: (stepItem: VueNode) => VueNode;
    onStepClick: (next: number) => void;
    stepIcon: StepIconRender;
    __legacy: boolean;
}, {}>;
export default _default;
