"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideExpandedRow = exports.useInjectExpandedRow = exports.ExpandedRowContextKey = void 0;
var _vueDemi = require("vue-demi");
const ExpandedRowContextKey = exports.ExpandedRowContextKey = Symbol('ExpandedRowProps');
const useProvideExpandedRow = props => {
  (0, _vueDemi.provide)(ExpandedRowContextKey, props);
};
exports.useProvideExpandedRow = useProvideExpandedRow;
const useInjectExpandedRow = () => {
  return (0, _vueDemi.inject)(ExpandedRowContextKey, {});
};
exports.useInjectExpandedRow = useInjectExpandedRow;