"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideHover = exports.useInjectHover = exports.HoverContextKey = void 0;
var _vueDemi = require("vue-demi");
const HoverContextKey = exports.HoverContextKey = Symbol('HoverContextProps');
const useProvideHover = props => {
  (0, _vueDemi.provide)(HoverContextKey, props);
};
exports.useProvideHover = useProvideHover;
const useInjectHover = () => {
  return (0, _vueDemi.inject)(HoverContextKey, {
    startRow: (0, _vueDemi.shallowRef)(-1),
    endRow: (0, _vueDemi.shallowRef)(-1),
    onHover() {}
  });
};
exports.useInjectHover = useInjectHover;