"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideResize = exports.useInjectResize = exports.ResizeContextKey = void 0;
var _vueDemi = require("vue-demi");
const ResizeContextKey = exports.ResizeContextKey = Symbol('ResizeContextProps');
const useProvideResize = props => {
  (0, _vueDemi.provide)(ResizeContextKey, props);
};
exports.useProvideResize = useProvideResize;
const useInjectResize = () => {
  return (0, _vueDemi.inject)(ResizeContextKey, {
    onColumnResize: () => {}
  });
};
exports.useInjectResize = useInjectResize;