import type { Plugin } from 'vue-demi';
import type { AnchorProps } from './Anchor';
import type { AnchorLinkProps, AnchorLinkItemProps } from './AnchorLink';
import AnchorLink from './AnchorLink';
export type { AnchorLinkProps, AnchorProps, AnchorLinkItemProps };
export { AnchorLink, AnchorLink as Link };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        offsetTop: NumberConstructor;
        bounds: NumberConstructor;
        affix: {
            type: BooleanConstructor;
            default: boolean;
        };
        showInkInFixed: {
            type: BooleanConstructor;
            default: boolean;
        };
        getContainer: import("vue-demi").PropType<() => import("./Anchor").AnchorContainer>;
        wrapperClass: StringConstructor;
        wrapperStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        getCurrentAnchor: import("vue-demi").PropType<(activeLink: string) => string>;
        targetOffset: NumberConstructor;
        items: {
            type: import("vue-demi").PropType<AnchorLinkItemProps[]>;
            default: AnchorLinkItemProps[];
        };
        direction: import("vue-types").VueTypeDef<import("./Anchor").AnchorDirection> & {
            default: import("./Anchor").AnchorDirection;
        };
        onChange: import("vue-demi").PropType<(currentActiveLink: string) => void>;
        onClick: import("vue-demi").PropType<(e: MouseEvent, link: {
            title: any;
            href: string;
        }) => void>;
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        offsetTop: NumberConstructor;
        bounds: NumberConstructor;
        affix: {
            type: BooleanConstructor;
            default: boolean;
        };
        showInkInFixed: {
            type: BooleanConstructor;
            default: boolean;
        };
        getContainer: import("vue-demi").PropType<() => import("./Anchor").AnchorContainer>;
        wrapperClass: StringConstructor;
        wrapperStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        getCurrentAnchor: import("vue-demi").PropType<(activeLink: string) => string>;
        targetOffset: NumberConstructor;
        items: {
            type: import("vue-demi").PropType<AnchorLinkItemProps[]>;
            default: AnchorLinkItemProps[];
        };
        direction: import("vue-types").VueTypeDef<import("./Anchor").AnchorDirection> & {
            default: import("./Anchor").AnchorDirection;
        };
        onChange: import("vue-demi").PropType<(currentActiveLink: string) => void>;
        onClick: import("vue-demi").PropType<(e: MouseEvent, link: {
            title: any;
            href: string;
        }) => void>;
    }>>, {
        direction: import("./Anchor").AnchorDirection;
        items: AnchorLinkItemProps[];
        affix: boolean;
        showInkInFixed: boolean;
        wrapperStyle: import("vue-demi").CSSProperties;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        offsetTop: NumberConstructor;
        bounds: NumberConstructor;
        affix: {
            type: BooleanConstructor;
            default: boolean;
        };
        showInkInFixed: {
            type: BooleanConstructor;
            default: boolean;
        };
        getContainer: import("vue-demi").PropType<() => import("./Anchor").AnchorContainer>;
        wrapperClass: StringConstructor;
        wrapperStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        getCurrentAnchor: import("vue-demi").PropType<(activeLink: string) => string>;
        targetOffset: NumberConstructor;
        items: {
            type: import("vue-demi").PropType<AnchorLinkItemProps[]>;
            default: AnchorLinkItemProps[];
        };
        direction: import("vue-types").VueTypeDef<import("./Anchor").AnchorDirection> & {
            default: import("./Anchor").AnchorDirection;
        };
        onChange: import("vue-demi").PropType<(currentActiveLink: string) => void>;
        onClick: import("vue-demi").PropType<(e: MouseEvent, link: {
            title: any;
            href: string;
        }) => void>;
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        direction: import("./Anchor").AnchorDirection;
        items: AnchorLinkItemProps[];
        affix: boolean;
        showInkInFixed: boolean;
        wrapperStyle: import("vue-demi").CSSProperties;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    offsetTop: NumberConstructor;
    bounds: NumberConstructor;
    affix: {
        type: BooleanConstructor;
        default: boolean;
    };
    showInkInFixed: {
        type: BooleanConstructor;
        default: boolean;
    };
    getContainer: import("vue-demi").PropType<() => import("./Anchor").AnchorContainer>;
    wrapperClass: StringConstructor;
    wrapperStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    getCurrentAnchor: import("vue-demi").PropType<(activeLink: string) => string>;
    targetOffset: NumberConstructor;
    items: {
        type: import("vue-demi").PropType<AnchorLinkItemProps[]>;
        default: AnchorLinkItemProps[];
    };
    direction: import("vue-types").VueTypeDef<import("./Anchor").AnchorDirection> & {
        default: import("./Anchor").AnchorDirection;
    };
    onChange: import("vue-demi").PropType<(currentActiveLink: string) => void>;
    onClick: import("vue-demi").PropType<(e: MouseEvent, link: {
        title: any;
        href: string;
    }) => void>;
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    direction: import("./Anchor").AnchorDirection;
    items: AnchorLinkItemProps[];
    affix: boolean;
    showInkInFixed: boolean;
    wrapperStyle: import("vue-demi").CSSProperties;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly Link: typeof AnchorLink;
};
export default _default;
