import type { NoticeProps } from '../vc-notification/Notice';
import type { NoticeType } from './interface';
import type { VueNode } from '../_util/type';
export declare const TypeIcon: {
    info: import("vue/jsx-runtime").JSX.Element;
    success: import("vue/jsx-runtime").JSX.Element;
    error: import("vue/jsx-runtime").JSX.Element;
    warning: import("vue/jsx-runtime").JSX.Element;
    loading: import("vue/jsx-runtime").JSX.Element;
};
export interface PureContentProps {
    prefixCls: string;
    type?: NoticeType;
    icon?: VueNode;
}
export declare const PureContent: import("vue-demi").DefineComponent<PureContentProps, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<PureContentProps>, {}, {}>;
export interface PurePanelProps extends Omit<NoticeProps, 'prefixCls' | 'eventKey'>, Omit<PureContentProps, 'prefixCls'> {
    prefixCls?: string;
}
/** @private Internal Component. Do not use in your production. */
declare const _default: import("vue-demi").DefineComponent<PurePanelProps, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<PurePanelProps>, {
    closeIcon?: any;
}, {}>;
export default _default;
