import type { VNode } from 'vue-demi';
import type { NotificationInstance, NotificationConfig } from './interface';
type HolderProps = NotificationConfig & {
    onAllRemoved?: VoidFunction;
    getPopupContainer?: () => HTMLElement;
};
export declare function useInternalNotification(notificationConfig?: HolderProps): readonly [NotificationInstance, () => VNode];
export default function useNotification(notificationConfig?: NotificationConfig): readonly [NotificationInstance, () => VNode<import("vue-demi").RendererNode, import("vue-demi").RendererElement, {
    [key: string]: any;
}>];
export {};
