import type { Plugin } from 'vue-demi';
import Countdown from './Countdown';
export type { StatisticProps } from './Statistic';
export declare const StatisticCountdown: any;
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        decimalSeparator: StringConstructor;
        groupSeparator: StringConstructor;
        format: StringConstructor;
        value: {
            type: import("vue-demi").PropType<import("./utils").valueType>;
            default: import("./utils").valueType;
        };
        valueStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        valueRender: {
            type: import("vue-demi").PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
            default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        };
        formatter: {
            default: import("./utils").Formatter;
            type: import("vue-demi").PropType<import("./utils").Formatter>;
        };
        precision: NumberConstructor;
        prefix: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        suffix: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        title: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        decimalSeparator: StringConstructor;
        groupSeparator: StringConstructor;
        format: StringConstructor;
        value: {
            type: import("vue-demi").PropType<import("./utils").valueType>;
            default: import("./utils").valueType;
        };
        valueStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        valueRender: {
            type: import("vue-demi").PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
            default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        };
        formatter: {
            default: import("./utils").Formatter;
            type: import("vue-demi").PropType<import("./utils").Formatter>;
        };
        precision: NumberConstructor;
        prefix: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        suffix: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        title: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        value: import("./utils").valueType;
        loading: boolean;
        formatter: import("./utils").Formatter;
        valueStyle: import("vue-demi").CSSProperties;
        valueRender: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    }, true, {}, import("../_util/type").CustomSlotsType<{
        title?: any;
        prefix?: any;
        suffix?: any;
        formatter?: any;
        default?: any;
    }>, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        decimalSeparator: StringConstructor;
        groupSeparator: StringConstructor;
        format: StringConstructor;
        value: {
            type: import("vue-demi").PropType<import("./utils").valueType>;
            default: import("./utils").valueType;
        };
        valueStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        valueRender: {
            type: import("vue-demi").PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
            default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        };
        formatter: {
            default: import("./utils").Formatter;
            type: import("vue-demi").PropType<import("./utils").Formatter>;
        };
        precision: NumberConstructor;
        prefix: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        suffix: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        title: {
            type: import("vue-demi").PropType<import("../_util/type").VueNode>;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        value: import("./utils").valueType;
        loading: boolean;
        formatter: import("./utils").Formatter;
        valueStyle: import("vue-demi").CSSProperties;
        valueRender: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    decimalSeparator: StringConstructor;
    groupSeparator: StringConstructor;
    format: StringConstructor;
    value: {
        type: import("vue-demi").PropType<import("./utils").valueType>;
        default: import("./utils").valueType;
    };
    valueStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    valueRender: {
        type: import("vue-demi").PropType<(node: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        default: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    };
    formatter: {
        default: import("./utils").Formatter;
        type: import("vue-demi").PropType<import("./utils").Formatter>;
    };
    precision: NumberConstructor;
    prefix: {
        type: import("vue-demi").PropType<import("../_util/type").VueNode>;
    };
    suffix: {
        type: import("vue-demi").PropType<import("../_util/type").VueNode>;
    };
    title: {
        type: import("vue-demi").PropType<import("../_util/type").VueNode>;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    value: import("./utils").valueType;
    loading: boolean;
    formatter: import("./utils").Formatter;
    valueStyle: import("vue-demi").CSSProperties;
    valueRender: (node: import("../_util/type").VueNode) => import("../_util/type").VueNode;
}, {}, string, import("../_util/type").CustomSlotsType<{
    title?: any;
    prefix?: any;
    suffix?: any;
    formatter?: any;
    default?: any;
}>> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly Countdown: typeof Countdown;
};
export default _default;
