import type { HTMLAttributes, PropType } from 'vue-demi';
import type { Direction } from '../config-provider';
export interface TypographyProps extends HTMLAttributes {
    direction?: Direction;
    prefixCls?: string;
}
export interface InternalTypographyProps extends TypographyProps {
    component?: string;
}
export declare const typographyProps: () => {
    prefixCls: StringConstructor;
    direction: PropType<Direction>;
    component: StringConstructor;
};
declare const Typography: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    direction: PropType<Direction>;
    component: StringConstructor;
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    direction: PropType<Direction>;
    component: StringConstructor;
}>>, {}, {}>;
export default Typography;
