declare const DrawerWrapper: import("vue-demi").DefineComponent<{
    forceRender: {
        type: BooleanConstructor;
        default: any;
    };
    getContainer: import("vue-types").VueTypeDef<any>;
    prefixCls: StringConstructor;
    width: import("vue-types").VueTypeDef<string | number>;
    height: import("vue-types").VueTypeDef<string | number>;
    style: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    class: StringConstructor;
    rootClassName: StringConstructor;
    rootStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    placement: {
        type: import("vue-demi").PropType<import("./IDrawerPropTypes").IPlacement>;
    };
    wrapperClassName: StringConstructor;
    level: {
        type: import("vue-demi").PropType<string | string[]>;
    };
    levelMove: {
        type: import("vue-demi").PropType<(number | [number, number]) | ((e: {
            target: HTMLElement;
            open: boolean;
        }) => number | [number, number])>;
    };
    duration: StringConstructor;
    ease: StringConstructor;
    showMask: {
        type: BooleanConstructor;
        default: any;
    };
    maskClosable: {
        type: BooleanConstructor;
        default: any;
    };
    maskStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    afterVisibleChange: FunctionConstructor;
    keyboard: {
        type: BooleanConstructor;
        default: any;
    };
    contentWrapperStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties[]>;
        default: import("vue-demi").CSSProperties[];
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    open: {
        type: BooleanConstructor;
        default: any;
    };
    motion: {
        type: import("vue-demi").PropType<(placement: import("./IDrawerPropTypes").IPlacement) => import("vue-demi").TransitionProps>;
        default: (placement: import("./IDrawerPropTypes").IPlacement) => import("vue-demi").TransitionProps;
    };
    maskMotion: {
        type: import("vue-demi").PropType<import("vue-demi").TransitionProps>;
        default: import("vue-demi").TransitionProps;
    };
}, () => any, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, ("close" | "handleClick")[], "close" | "handleClick", import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    forceRender: {
        type: BooleanConstructor;
        default: any;
    };
    getContainer: import("vue-types").VueTypeDef<any>;
    prefixCls: StringConstructor;
    width: import("vue-types").VueTypeDef<string | number>;
    height: import("vue-types").VueTypeDef<string | number>;
    style: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    class: StringConstructor;
    rootClassName: StringConstructor;
    rootStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    placement: {
        type: import("vue-demi").PropType<import("./IDrawerPropTypes").IPlacement>;
    };
    wrapperClassName: StringConstructor;
    level: {
        type: import("vue-demi").PropType<string | string[]>;
    };
    levelMove: {
        type: import("vue-demi").PropType<(number | [number, number]) | ((e: {
            target: HTMLElement;
            open: boolean;
        }) => number | [number, number])>;
    };
    duration: StringConstructor;
    ease: StringConstructor;
    showMask: {
        type: BooleanConstructor;
        default: any;
    };
    maskClosable: {
        type: BooleanConstructor;
        default: any;
    };
    maskStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    afterVisibleChange: FunctionConstructor;
    keyboard: {
        type: BooleanConstructor;
        default: any;
    };
    contentWrapperStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties[]>;
        default: import("vue-demi").CSSProperties[];
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    open: {
        type: BooleanConstructor;
        default: any;
    };
    motion: {
        type: import("vue-demi").PropType<(placement: import("./IDrawerPropTypes").IPlacement) => import("vue-demi").TransitionProps>;
        default: (placement: import("./IDrawerPropTypes").IPlacement) => import("vue-demi").TransitionProps;
    };
    maskMotion: {
        type: import("vue-demi").PropType<import("vue-demi").TransitionProps>;
        default: import("vue-demi").TransitionProps;
    };
}>> & {
    onClose?: (...args: any[]) => any;
    onHandleClick?: (...args: any[]) => any;
}, {
    style: import("vue-demi").CSSProperties;
    open: boolean;
    motion: (placement: import("./IDrawerPropTypes").IPlacement) => import("vue-demi").TransitionProps;
    autofocus: boolean;
    forceRender: boolean;
    maskClosable: boolean;
    rootStyle: import("vue-demi").CSSProperties;
    keyboard: boolean;
    showMask: boolean;
    maskStyle: import("vue-demi").CSSProperties;
    contentWrapperStyle: import("vue-demi").CSSProperties[];
    maskMotion: import("vue-demi").TransitionProps;
}, {}>;
export default DrawerWrapper;
