import type { CellType, StickyOffsets, ColumnType, CustomizeComponent, GetComponentProps, DefaultRecordType } from '../interface';
export interface RowProps<RecordType = DefaultRecordType> {
    cells: readonly CellType<RecordType>[];
    stickyOffsets: StickyOffsets;
    flattenColumns: readonly ColumnType<RecordType>[];
    rowComponent: CustomizeComponent;
    cellComponent: CustomizeComponent;
    customHeaderRow: GetComponentProps<readonly ColumnType<RecordType>[]>;
    index: number;
}
declare const _default: import("vue-demi").DefineComponent<RowProps<any>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<RowProps<any>>, {
    rowComponent: any;
    cellComponent: any;
}, {}>;
export default _default;
