import type { Key } from '../_util/type';
import type { HTMLAttributes } from 'vue-demi';
import type { MouseEventHandler } from '../_util/EventInterface';
interface DivProps extends HTMLAttributes {
    'data-testid'?: string;
}
export interface NoticeProps {
    prefixCls: string;
    duration?: number | null;
    updateMark?: string;
    /** Mark as final key since set maxCount may keep the key but user pass key is different */
    noticeKey: Key;
    closeIcon?: any;
    closable?: boolean;
    props?: DivProps;
    onClick?: MouseEventHandler;
    onClose?: (key: Key) => void;
    /** @private Only for internal usage. We don't promise that we will refactor this */
    holder?: HTMLDivElement;
    /** @private Provided by CSSMotionList */
    visible?: boolean;
}
declare const _default: import("vue-demi").DefineComponent<NoticeProps, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<NoticeProps>, {
    closeIcon?: any;
}, {}>;
export default _default;
