"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useSelectProps;
exports.useProvideSelectProps = useProvideSelectProps;
var _vueDemi = require("vue-demi");
/**
 * BaseSelect provide some parsed data into context.
 * You can use this hooks to get them.
 */

const SelectContextKey = Symbol('SelectContextKey');
function useProvideSelectProps(props) {
  return (0, _vueDemi.provide)(SelectContextKey, props);
}
function useSelectProps() {
  return (0, _vueDemi.inject)(SelectContextKey, {});
}