import type { CustomizeComponent, GetComponentProps, Key, GetRowKey } from '../interface';
export interface BodyRowProps<RecordType> {
    record: RecordType;
    index: number;
    renderIndex: number;
    recordKey: Key;
    expandedKeys: Set<Key>;
    rowComponent: CustomizeComponent;
    cellComponent: CustomizeComponent;
    customRow: GetComponentProps<RecordType>;
    rowExpandable: (record: RecordType) => boolean;
    indent?: number;
    rowKey: Key;
    getRowKey: GetRowKey<RecordType>;
    childrenColumnName: string;
}
declare const _default: import("vue-demi").DefineComponent<BodyRowProps<unknown>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<BodyRowProps<unknown>>, {
    rowComponent: any;
    cellComponent: any;
}, {}>;
export default _default;
