"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideSummary = exports.useInjectSummary = exports.SummaryContextKey = void 0;
var _vueDemi = require("vue-demi");
const SummaryContextKey = exports.SummaryContextKey = Symbol('SummaryContextProps');
const useProvideSummary = props => {
  (0, _vueDemi.provide)(SummaryContextKey, props);
};
exports.useProvideSummary = useProvideSummary;
const useInjectSummary = () => {
  return (0, _vueDemi.inject)(SummaryContextKey, {});
};
exports.useInjectSummary = useInjectSummary;